# PetscDrawTensorContour

PetscDraws a contour plot for a two-dimensional array that is stored as a PETSc vector.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawTensorContour(PetscDraw win,int m,int n,const PetscReal xi[],const PetscReal yi[],PetscReal *v)

Collective on PetscDraw, but PetscDraw must be sequential

### Input Parameters

| win | - the window to draw in
| m,n | - the global number of mesh points in the x and y directions
| xi,yi | - the locations of the global mesh points (optional, use PETSC_NULL to indicate uniform spacing on [0,1])
| V | - the values

### Options Database Keys

| -draw_x_shared_colormap | - Indicates use of private colormap
| -draw_contour_grid | - PetscDraws grid contour

### See Also

PetscDrawTensorContourPatch()

Level:intermediate
Location: src/sys/draw/interface/dtri.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages